Tähtaeg on lähedal - aegunud PHP versioonide tugi kaob ja vananenud veebi kood tuleb uuendada

Kõigepealt - kui PHP ja versioonid sind otseselt ei kõneta, aga oled siiski ühe või mitme veebilehe omanik, siis pea nõu oma veebiarendajaga. Kui aga kõnetab, siis ilmselt juba tead, et peagi lõpeb vananenud PHP versioonide tugi ja see tähendab seda kasutavatele veebidele esialgu väikeseid, aga tulevikus võib-olla suuremaid probleeme.

Siin aga on kõik, mida peaksid selle kohta praegu teadma.

PHP on tarkvara, mis jookseb väga paljude veebide taustal ja milles on kirjutatud ka suur osa sisuhalduslahendusi. Pidevalt tuleb kõigil tarkvaradel välja uuemaid versioone, mis on optimeeritud koodiga ja koormavad vähem servereid, neis on likvideeritud turva-auke ja parandatud arendusvõimalusi. Mingi aja pärast aga peab vanemad tarkvaraversioonid hülgama, sest neile toe pakkumine läheb liiga kulukaks ja mõnikord ka mõttetuks, sest vanem tarkvara on oma aja paratamatult ära elanud ja ei vasta enam moodsatele nõuetele.

Aegunud PHP versioonid on peagi kõik, mis on versiooniga 5.6 või vanemad. Selle versiooni järel toimus suurem hüpe ja uuemad põlvkonnad algavad versioonist 7.1.

Kas mu kodulehekülg töötab aegunud PHP tarkvaraga edasi?

Tõenäoliselt töötab, kuigi enamlevinud veebiplatvormid nagu Wordpress, Drupal ja Joomla hoiatavad juba praegu, et PHP 5.6 ja vanemad versioonid pole enam toetatud ja näiteks Drupal lõpetab alates 6. märtsist selle toetamise. Ilmselt koduleht jätkab tööd ka peale seda, aga on enam kui võimalik, et mitmed lisandmoodulid lakkavad töötamast ja peagi võib lisanduda ka muid probleeme tuumiktarkvaraga.

Mis juhtub PHP 5.6 versiooni kasutavate veebidega Veebimajutuses?

Veebimajutuse kliendid saavad vananenud PHP versioone kasuta veel 2019. aasta lõpuni, ehkki neid hakatakse suunama uuendamise peale. PHP kasutatavat versiooni saab muide uuendada väga lihtsalt iseteeninduskeskkonnast, kus tuleb valida PHP seadistustest lihtsalt mõni uuem tarkvara versioon. Kui kõik läheb hästi ja koduleht on uuendatud koodiga, siis ei juhtugi midagi ja saad oma veebi juba värske serveritarkvaraga edasi kasutada.

Täpsem juhend PHP versiooni muutmiseks asub siin.

Kui paljusid see puudutab?

Tegelikult puudutab see päris paljusid, sest ligi 60 protsenti maailma veebilehtedest, mis on PHP-põhised, kasutavad veel vanemaid versioone kui PHP 7.1. Paraku pole võimalik enam pikalt seda üleminekut edasi lükata, sest turvareeglid muutuvad aina karmimaks ja rünnakud kodulehtedele aina keerulisemaks. Vanade tööriistadega neile enam niisama lihtsalt vastu ei saa.

Pealegi lõppes PHP 5.6 turvauuenduste tugi juba 31. detsembril 2018.

Kui koduleht läks uue PHP-ga katki...

Tõenäoliselt seda mõne levinud sisuhaldusplatvormiga ei juhtu, aga kui juhtub, et sinu koduleht on väga ammu arendatud ja läheb uuema PHP versiooniga katki, siis ongi aeg põhjalikumalt veebi uuendada.

Üks võimalus muretult jätkata on hakata kasutama veebimajutuse paketti "Tee-ise-veeb", kus tarkvara uuendatakse automaatselt ja kodulehe tegijat see ei mõjuta kuidagi. Lihtsate vahenditega saab "Tee-ise-veebis" omale kodulehe tegemisest midagi tundmata korralik veebi teha.

Asjatundlikku abi saab küsida muidugi ka Veebimajutuse asjalikelt partneritelt.

Jaga
Nõuandja